Package org.apache.commons.io.file

# Class AccumulatorPathVisitor.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<AccumulatorPathVisitor,AccumulatorPathVisitor.Builder>
org.apache.commons.io.file.SimplePathVisitor.AbstractBuilder<AccumulatorPathVisitor,AccumulatorPathVisitor.Builder>
org.apache.commons.io.file.CountingPathVisitor.AbstractBuilder<AccumulatorPathVisitor,AccumulatorPathVisitor.Builder>
org.apache.commons.io.file.AccumulatorPathVisitor.Builder

All Implemented Interfaces:
  `IOSupplier<AccumulatorPathVisitor>`

Enclosing class:
  `AccumulatorPathVisitor`

public static class AccumulatorPathVisitor.Builder extends CountingPathVisitor.AbstractBuilder<AccumulatorPathVisitor,AccumulatorPathVisitor.Builder>
Builds instances of `AccumulatorPathVisitor`.

Since:
  2.19.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccumulatorPathVisitor`
  `get()`
  Gets a result.

  ### Methods inherited from class org.apache.commons.io.file.CountingPathVisitor.AbstractBuilder

  `setDirectoryFilter, setDirectoryPostTransformer, setFileFilter, setPathCounters`

  ### Methods inherited from class org.apache.commons.io.file.SimplePathVisitor.AbstractBuilder

  `setVisitFileFailedFunction`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder.

- ## Method Details

  - ### get

    public AccumulatorPathVisitor get()
    Description copied from interface: `IOSupplier`
    Gets a result.
    Returns:
      a result.
    See Also:
      - `IOSupplier.getUnchecked()`